ResourcesBlacklists
Retrieve a Blacklist Rule
Retrieve a specific blacklist rule by its unique identifier.
Authorization
bearerAuth storeAuth AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
X-STORE<token>
Select the SellApp store for this API request.
In: header
Path Parameters
blacklist*integer
The unique identifier of the blacklist rule.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v1/blacklists/1"{
"data": {
"id": 1,
"type": "WILDCARD_EMAIL",
"data": "@yahoo.com",
"description": "This email domain is dangerous",
"created_at": "2022-12-12T12:12:12.000000Z",
"updated_at": "2022-12-12T12:12:12.000000Z",
"store_id": 1
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Rule not found."
}{
"message": "The given data was invalid.",
"errors": {
"data": [
"The data field is required."
]
}
}